--masumeh

اجرای هیچ برنامه آماده ای

13 ارسال در این موضوع قرار دارد

من متاسفانه تا کنون نتوانسته ام هیچ برنامه آماده ای را imort و اجرا کنم هر پروژه ای مثلا همون پروژه گلستان (فارسی نویسی) شما را هم که import کردم  از اون خط اول که نام پکیج است error میده [align=left]Multiple markers at this line[/align]

[align=left]- The type java.lang.Object cannot be resolved. It is indirectly referenced from required .class [/align]

[align=left]files[/align]

[align=left]- The type java.lang.Throwable cannot be resolved. It is indirectly referenced from [/align]

[align=left]required .class files[/align]

[align=left]The type java.lang.String cannot be resolved. It is indirectly referenced from required .class [/align]

یکی از دوستان گفتند چون نسخه ADT و SDK یکسان نیست اینطوریه ولی هر دو نسخه 22.0.1 هستن.

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

1.7.0-21

Capture.JPG

Capture.JPG.676d66e5122a5fb9238c28130e1c2fad.JPG

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

1.7.0-21

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

خب برای اینه ارور میده،باید نسخه 1.6 را نصب کنید

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

مال من همین ورژن هستش. 1.7.0-21

فک نکنم مربوط به جاوا باشه

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

خب برای اینه ارور میده،باید نسخه 1.6 را نصب کنید

من قبل از نصب متعلقات اندروید JDK7 که  حجمش هم خیلی زیاد بود نصب کردم حالا منظورتون اینه که JDK ورژن پایینتر را نصب کنم؟

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

بله نسخه پایین تر را باید نصب کنید تا مشکل برطرف شود..1.6 را نصب کنید

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

تا الان مشغول نصب ورژن 1.6 جاوا بودم و نصب هم شد(1.6.0.31) ولی کماکان برنامه گلستان و برنامه های import شده دیگه خطا دارن.

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

یکبار جاوا  1.7 را حذف کنید و سیستم خود را رستارت کنید، ببینید حل خواهد شد؟

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

یکبار جاوا  1.7 را حذف کنید و سیستم خود را رستارت کنید، ببینید حل خواهد شد؟

دقیقا همینکار را کردم وگرنه ورژن قدیمیتر که نصب نمیشد  java1.7 را حذف و سپس آن را نصب کردم و ورژن را نیز چک کردم همه چیز درسته ولی مشکل من حل نشد

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

یه مقدار سرچ کردم و روی پروژه ام راست کلیک و سپس properties را انتخاب و در بخش installed jre و compiler دیدم که تنظیم شده روی 1.7 و من گذاشتمش روی 1.6 ودیگر دستور package.... که در ابتدای تمام فایلهای جاوا است را خطا نمیده ولی مشکلی که وجود دارد این است فایل R.java از پوشه gen پاک شده و در نتیجه هیچکدوم از importها را نمیشناسه با clean و build و حذف و نصب پروژه هم درست نشد لطفا کمکم کنید

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

دوباره با تغییراتی در تنظیمات importها ر شناخت ولی  import sun.jkernel.Bundle; و java.awt.Button را نمی شناسه و در ضمن فایل R.java نیز وحود نداره

به اشتراک گذاری این پست


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

برای ارسال نظر یک حساب کاربری ایجاد کنید یا وارد حساب خود شوید

برای اینکه بتوانید نظر ارسال کنید نیاز دارید که کاربر سایت شوید

ایجاد یک حساب کاربری

برای حساب کاربری جدید در انجمن ما ثبت نام کنید. عضویت خیلی ساده است !


ثبت نام یک حساب کاربری جدید

ورود به حساب کاربری

دارای حساب کاربری هستید؟ از اینجا وارد شوید


ورود به حساب کاربری